<?xml version="1.0" encoding="UTF-8"?>
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2"
    xmlns:sqf="http://www.schematron-quickfix.com/validator/process"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <sch:title>Example schema of annotation with</sch:title>
    <sch:pattern>
        <sch:rule context="assetValue">
            <sch:assert test="true()" properties="precision3 non-negative-decimal iso8859-1">
                The element assetValue should be a non-negative decimal number, with three
                digits of precision, in Australian dollars.
            </sch:assert>
            <sch:report test="true()"
                properties="australianDollar precision3a thisElement thisValue ">
                The element assetValue should be a non-negative decimal number, with three digits
                of precision, in Australian dollars.
            </sch:report>
        </sch:rule>
    </sch:pattern>
    <sch:properties>
        <sch:property id="precision3" role="prevision">3</sch:property>
        <sch:property id="non-negative-decimal">
            <xsd:simpleType type="xs:decimal">
                <xsd:maxInclusive value="0" />
                <xsd:fractionDigits value="2"/>
            </xsd:simpleType>
        </sch:property>
        <sch:property id="iso8859-1" role="repertoire" xmlns:cdrl="http://www.eg.com/cdrl/iso8859-1">
            <cdrl:charref href="http://www.eg.com/cdrl/iso8859-1.cdr" />
        </sch:property>
        <sch:property id="australianDollar" scheme="ISO 4217" role="currency">AUD</sch:property>
        <sch:property id="precision3a">
            <orecision>3</orecision>
        </sch:property>
        <sch:property id="thisElement" role="contents">
            <xsl:copy-of select="."/>
        </sch:property>
        <sch:property id="thisValue" role="value">
            <sch:value-of select="."/>
        </sch:property>
    </sch:properties>
    
</sch:schema>